Skip to main content

Member Labels

Tags: labels, members, organization

Member tagging and categorization

Resources

Request and response models used by the endpoints on this page.

MemberLabelResponse

FieldTypeRequiredDescription
colorString
descriptionString
idInteger
nameString
slugString
uuidString

Example:

{
"id": 0 // Integer,
"uuid": "string" // String,
"name": "string" // String,
"slug": "string" // String,
"color": "string" // String,
"description": "string" // String
}

Endpoints

List

GET /api/v2/w/{workspace_uuid}/member-labels

Description:

List all member labels for the workspace.

Access: All workspace members can view member labels (workspace-scoped resource).

Authorization: Requires labels:read scope

Response: List of MemberLabelResponse


Create

POST /api/v2/w/{workspace_uuid}/member-labels

Description:

Create a new member label. Requires workspace manager role.

Authorization: Requires members:write scope

Parameters:

  • label (CreateMemberLabelRequest)

Response: See MemberLabelResponse


Delete Label Id

DELETE /api/v2/w/{workspace_uuid}/member-labels/{label_id}

Description:

Delete a member label. Requires workspace manager role.

Authorization: Requires members:write scope

Parameters:

  • label_id (Integer)

Get Label Id

GET /api/v2/w/{workspace_uuid}/member-labels/{label_id}

Description:

Get a specific member label by ID.

Authorization: Requires labels:read scope

Parameters:

  • label_id (String)

Response: See MemberLabelResponse


Update Label Id

PUT /api/v2/w/{workspace_uuid}/member-labels/{label_id}

Description:

Update an existing member label. Requires workspace manager role.

Authorization: Requires members:write scope

Parameters:

  • label_id (Integer)
  • label (UpdateMemberLabelRequest)

Response: See MemberLabelResponse